<?
// _____________________________________________________________________________ //
// auteur     : Christophe GILLES                                                //
// utilitaire : VisuPhotos                                                       //
// but        : VisuPhotos permet d'afficher des sries de photos sous forme     //
//              d'albums ou de diaporamas. Pour proposer en ligne une nouvelle   //
//              srie de photos, il faut procder aux 4 tapes suivantes :       //
//              1- crer au mme niveau que ce fichier un rpertoire portant le  //
//                 nom du thme des photos (par exemple titreAlbum),             //
//              2- crer sous titreAlbum un fichier album.ini contenant comme    //
//                 lignes :                                                      //
//                 * le titre de l'album (obligatoire)                           //
//                 * le nom de la vignette pour reprsenter l'album au niveau    //
//                   du sommaire (facultatif)                                    //
//              3- crer sous titreAlbum un rpertoire photos contenant les      //
//                 images en grand format (env. 800 X 600),                      //
//              4- crer sous titreAlbum un rpertoire vignettes contenant les   //
//                 images en petit format (env. 133 X 100).                      //
//                                                                               //
//              IMPORTANT : les noms des fichiers dans les rpertoires photos    //
//              et vignettes doivent tre identiques.                            //
//                                                                               //
//              VisuPhotos appelle une srie de petites images .gif regroupes   //
//              dans le rpertoire "utils".                                      //
//                                                                               //
// versions   : V1.0 (juillet 2005)                                              //
//              ---------------------------------------------------------------- //
//              V1.1 (7 aot 2005)                                               //
//              Ajout de la possibilit d'uploader une photo dans une srie      //
//              existante                                                        //
//              ---------------------------------------------------------------- //
//              V2.0 (02 janvier 2007)                                           //
//              * clarification importante du code PHP avec notamment dtache-   //
//                ment des fonctions d'affichage                                 //
//              * nouvelle charte graphique                                      //
//              * possibilit de choisir une couleur d'ambiance pour l'affichage //
//              * affichage appropri si UN seul album est disponible : on entre //
//                directement dans l'album (pas de proposition de sommaire)      //
//              * page sommaire : affichage d'une vignette reprsentant l'album  //
//                (si elle est non renseigne dans param.ini, c'est la premire  //
//                photo qui est choisie par dfaut)                              //
//                + possibilit de choisir l'ordre d'affichage des albums (par   //
//                ordre croissant ou dcroissant)                                //
//              * mode album : suppression de l'ouverture des photos en pop-up   //
//                lors d'un clic sur la vignette ; remplac par le basculement   //
//                en mode diaporama  la photo correspondante                    //
//              * mode diaporama : possibilit de cliquer sur la photo en cours  //
//                de visualisation afin de revenir en mode album                 //
//              * modes album et diaporama : possibilit de passer aux albums    //
//                prcdent et suivant, sans repasser par le sommaire            //
//  //
//                                                                               //
// _____________________________________________________________________________ //
// dfinition des constantes                                                     //
//  //

  // mes coordonnes sur Internet
define("SITE"         , "http://chgilles.free.fr"            );
define("E_MAIL"       , "chgilles@free.fr"                   );

  // version en cours
define("VERSION"      , "V2.0"                               );

  // nom du fichier .php
define("NOM_FICHIER"  , basename($_SERVER['SCRIPT_FILENAME']));

  // couleur(ambiance) d'affichage
  // valeurs possibles : "bleu", "vert_herbe", "fushia", "beige", "violet", "vert_eau"
define("THEME"        , "bleu"                               );

  // titre apparassant sur la page d'accueil proposant les albums disponibles
define("MSG_GENERIQUE", "- Albums photos disponibles -"      );

  // nombre de caractres  supprimer en dbut du nom du fichier pour obtenir
  // le nom  afficher de la photo - exemple :
  // si SUPPR_CAR_DEB=2 alors DSCN1234.jpg aura comme nom affich CN1234
define("SUPPR_CAR_DEB", "0"                                  );

  // affichage par ordre dcroissant ou non des albums
define("DECROISSANT",   "0"                                  );

  // permission d'uploader des photos
define("UPLOAD_PERMIS", "0"                                  );

//                                                                               //
// _____________________________________________________________________________ //
// fonctions d'affichage lmentaires                                            //
//  //
//                                                                               //
//                                                                               //
//
function AfficheFeuilleDeStyle($theme)
{
  $couleurClaire = array("bleu"=>"EBF0F5", "vert_herbe"=>"F0F5EB", "fushia"=>"F5EBF0", "beige"=>"F5F0EB", "violet"=>"F0EBF5", "vert_eau"=>"EBF5F0");
  $couleurMilieu = array("bleu"=>"006699", "vert_herbe"=>"669900", "fushia"=>"990066", "beige"=>"996600", "violet"=>"660099", "vert_eau"=>"009966");
  $CouleurFoncee = array("bleu"=>"005DB0", "vert_herbe"=>"5DB000", "fushia"=>"B0005D", "beige"=>"B05D00", "violet"=>"5D00B0", "vert_eau"=>"00B05D");
  $CouleurHover  = array("bleu"=>"DD6900", "vert_herbe"=>"6900DD", "fushia"=>"00DD69", "beige"=>"0069DD", "violet"=>"69DD00", "vert_eau"=>"DD0069");

  echo "      BODY         { BACKGROUND: #$couleurClaire[$theme]; FONT: 12px Verdana, Arial, Helvetica, sans-serif; COLOR: #000000; }\n";
  echo "      P            { FONT-SIZE: 11px; COLOR: black; FONT-FAMILY: Verdana, Arial, helvetica, sans-serif; BACKGROUND-COLOR: transparent; }\n";
  echo "      .small       { FONT-SIZE: 10px; }\n";
  echo "      A            { FONT-SIZE: 11px; COLOR: #$couleurMilieu[$theme]; TEXT-DECORATION: none; }\n";
  echo "      A:hover      { COLOR: #$CouleurHover[$theme]; TEXT-DECORATION: underline; }\n";
  echo "      TH           { FONT-WEIGHT: bold; FONT-SIZE: 11px; BACKGROUND: url(utils/th_$theme.gif) #$CouleurFoncee[$theme]; COLOR: #$couleurClaire[$theme]; WHITE-SPACE: nowrap; HEIGHT: 28px; TEXT-ALIGN: center; }\n";
  echo "      TD           { FONT-SIZE: 11px; FONT-FAMILY: Verdana, Arial, helvetica, sans-serif; }\n";
  echo "      TD.sommaire  { BACKGROUND: #$couleurClaire[$theme]; }\n";
  echo "      TD.album1    { BACKGROUND: #303030; TEXT-ALIGN: center; }\n";
  echo "      TD.album2    { BACKGROUND: #d0d0d0; TEXT-ALIGN: center; HEIGHT: 40px; }\n";
  echo "      IMG.sommaire { BORDER-STYLE: solid; BORDER-COLOR: #000000; BORDER-WIDTH: 1; }\n";
  echo "      .tabsommaire { BORDER-RIGHT: #$couleurMilieu[$theme] 1px solid; BORDER-TOP: #$couleurMilieu[$theme] 1px solid; BACKGROUND: #ffffff; BORDER-LEFT: #$couleurMilieu[$theme] 1px solid; COLOR: #000000; BORDER-BOTTOM: #$couleurMilieu[$theme] 1px solid; }\n";
  echo "      .tabalbum    { BORDER-RIGHT: #$couleurMilieu[$theme] 1px solid; BORDER-TOP: #$couleurMilieu[$theme] 1px solid; BORDER-LEFT: #$couleurMilieu[$theme] 1px solid; COLOR: #000000; BORDER-BOTTOM: #$couleurMilieu[$theme] 1px solid; }\n";
  echo "      INPUT        { FONT-SIZE: 11px; FONT-FAMILY: Verdana, Arial, helvetica, sans-serif; }\n";
  echo "      .button      { BORDER-RIGHT: #222244 thin solid; BORDER-TOP: #9999cc thin solid; FONT-WEIGHT: normal; FONT-SIZE: 11px; BORDER-LEFT: #9999cc thin solid; COLOR: white; BORDER-BOTTOM: #222244 thin solid; FONT-FAMILY: Verdana,Helvetica,sans-serif; BACKGROUND-COLOR: #666699; }\n";
}
//                                                                               //
//
function DebutTableauRubrique($titre, $border, $class, $colspan)
{
  echo "    <TABLE align='center' border='$border' borderColor='#808080' cellspacing='1' cellpadding='0' class='$class'>\n";
  echo "      <TBODY>\n";
  echo "      <TR><TH colSpan='$colspan'>$titre</TH></TR>\n";
}
//                                                                               //
//
function FinTableauRubrique()
{
  echo "      </TBODY>\n";
  echo "    </TABLE>\n";
}
//                                                                               //
//
function DebutLigne($height, $valign)
{
  echo "      <TR height='$height' valign='$valign'>\n";
}
//                                                                               //
//
function FinLigne()
{
  echo "      </TR>\n";
}
//                                                                               //
//
function DebutColonne($align, $width, $colspan)
{
  echo "        <TD align='$align' colspan='$colspan' width='$width'>\n";
}
//                                                                               //
//
function FinColonne()
{
  echo "        </TD>\n";
}
//                                                                               //
//
function AffichePiedPage()
{
  echo "    <BR><BR>\n";
  echo "    <SPAN class=small><B>VisuPhotos " .VERSION ."</B> - Christophe GILLES (" .date("m-Y", filemtime(NOM_FICHIER)) .") - <A href='" .SITE ."'>" .SITE ."</A> - <A href='mailto:" .E_MAIL ."'>" .E_MAIL ."</A></SPAN>\n";
}
//                                                                               //
//
function LigneTableauMenu($Album, $TitreAlbum, $NomVignette, $height, $width, $nbPhotos)
{
  echo "      <TR><TD align='center' class='sommaire'><A href='./" .NOM_FICHIER ."?t=$Album'><IMG class='sommaire' src='./$Album/vignettes/" .rawurlencode("$NomVignette") ."' border='0' height='$height' width='$width'></A></TD><TD class='sommaire'><A href='./" .NOM_FICHIER ."?t=$Album'>$TitreAlbum</A> <SPAN class=small> ($nbPhotos)</SPAN></TD></TR>\n";
}
//                                                                               //
//
function AfficheTexte($texte)
{
  echo "        $texte";
}
//                                                                               //
//
function AfficheImage($src, $height, $width)
{
  echo "        <IMG border='0' src='$src' height='$height' width='$width'>\n";
}
//                                                                               //
//
function AfficheSeparateurTransparent($width)
{
  AfficheImage("./utils/transparent.gif", 1, $width);
}
//                                                                               //
//
function AfficheImageCliquableTexte($href, $src, $alt, $height, $width, $Texte)
{
  echo "        <A href='$href'><IMG alt='$alt' border='0' src='$src' height='$height' width='$width'>$Texte</A>\n";
}
//                                                                               //
//
function AfficheImageCliquable($href, $src, $alt, $height, $width)
{
  AfficheImageCliquableTexte($href, $src, $alt, $height, $width, "");
}
//                                                                               //
//
function AfficheDebutContenuCaseAlbum($dimension)
{
  echo "        <TD align='center' width='$dimension'>\n";
  echo "        <TABLE align='center' border='0' cellspacing='0' cellpadding='0' width='100%'>\n";
  echo "        <TR height='$dimension'>\n";
  echo "          <TD class='album1'>\n  ";
}
//                                                                               //
//
function AfficheFinContenuCaseAlbum($legende)
{
  echo "          </TD>\n";
  echo "        </TR>\n";
  echo "        <TR>\n";
  echo "          <TD class='album2'>$legende<br><br></TD>\n";
  echo "        </TR>\n";
  echo "        </TABLE>\n";
  echo "        </TD>\n";
}
//                                                                               //
// _____________________________________________________________________________ //
// fonctions d'affichage volues                                                //
//  //
//                                                                               //
// *****************************************************************************
// function AfficheAvantApres($themeAlbum, $TabTitreAlbums)
// BUT : affiche les images cliquables pour naviguer vers les albums positionns
//       avant et aprs $themeAlbum
// *****************************************************************************
function AfficheAvantApres($themeAlbum, $TabTitreAlbums)
{
  foreach($TabTitreAlbums as $NomAlbum => $TitreAlbum) $menu[] .= $NomAlbum;
  $pos = array_search($themeAlbum, $menu);
  $nbr = count($menu);
  $avt = ($pos==0) ? $nbr-1 : $pos-1 ;
  $apr = ($pos==$nbr-1) ? 0 : $pos+1 ;

  $dimImage1 = getimagesize("./utils/fleche_haut.gif");
  AfficheSeparateurTransparent(10);
  AfficheImageCliquableTexte("./" .NOM_FICHIER ."?t=$menu[$avt]", "./utils/fleche_haut.gif", $TabTitreAlbums[$menu[$avt]], $dimImage1[1], $dimImage1[0], "<FONT size='-2'> srie prcdente</FONT>");

  $dimImage2 = getimagesize("./utils/fleche_bas.gif");
  AfficheSeparateurTransparent(10);
  AfficheImageCliquableTexte("./" .NOM_FICHIER ."?t=$menu[$apr]", "./utils/fleche_bas.gif", $TabTitreAlbums[$menu[$apr]], $dimImage2[1], $dimImage2[0], "<FONT size='-2'> srie suivante</FONT>");
}
//                                                                               //
// *****************************************************************************
// function AfficheBarrePrincipale($largeur, $modeAffichage, $themeAlbum)
// BUT : affiche le menu prsent en haut de la page
// *****************************************************************************
function AfficheBarrePrincipale($colspan, $modeAffichage, $themeAlbum, $TabTitreAlbums, $MenuNormal)
{
  $dimImage = getimagesize("./utils/fleche.gif");
  $m        = ($modeAffichage=="a") ? "d" : "a";
  $texte    = ($modeAffichage=="a") ? "diaporama" : "album";

  DebutLigne(25, "middle");
  DebutColonne("center", "", $colspan);

  if($MenuNormal)
  {
    AfficheImageCliquableTexte("./" .NOM_FICHIER, "./utils/fleche.gif", "sommaire", $dimImage[1], $dimImage[0], "<FONT size='-2'> sommaire</FONT>");
    AfficheAvantApres($themeAlbum, $TabTitreAlbums);
    AfficheSeparateurTransparent(10);
  }

  AfficheImageCliquableTexte("./" .NOM_FICHIER ."?t=$themeAlbum&p=0&m=$m", "./utils/fleche.gif", $texte, $dimImage[1], $dimImage[0], "<FONT size='-2'> $texte</FONT>");

  FinColonne();
  FinLigne();
}
//                                                                               //
// *****************************************************************************
// function AfficheLigneAlbum($numLigne, $largeur, $themeAlbum, $nomsPhotos)
// BUT : affiche toute une ligne de photos dans le mode album
// *****************************************************************************
function AfficheLigneAlbum($numLigne, $largeur, $themeAlbum, $nomsPhotos)
{
  DebutLigne(125, "middle");
  for($i=0 ; $i<$largeur ; $i++)
  {
    CasePhoto($i+$numLigne*$largeur, $themeAlbum, $nomsPhotos);
  }
  FinLigne();
}
//                                                                               //
// *****************************************************************************
// function CasePhoto($numPhoto, $themeAlbum, $nomsPhotos)
// BUT : affiche dans une case de tableau la photo dont les donnees sont passes
//       en paramtres (numro, album et nom) ; si la photo n'existe pas, la 
//       case est remplie par une couleur uniforme
// *****************************************************************************
function CasePhoto($numPhoto, $themeAlbum, $nomsPhotos)
{
  $nomPhoto        = $nomsPhotos[$numPhoto];
  $titrePhoto      = substr($nomPhoto, SUPPR_CAR_DEB, strlen($nomPhoto)-4-SUPPR_CAR_DEB);
  $cheminPhoto     = "./" .$themeAlbum ."/photos/" .$nomPhoto;
  $cheminVignettes = "./" .$themeAlbum ."/vignettes/";
  $cheminVignette  = $cheminVignettes .$nomPhoto;
  $cheminVignette2 = $cheminVignettes .rawurlencode($nomPhoto);

  if(is_file($cheminVignette))
  {
    $donneesVignette = getimagesize($cheminVignette);

    AfficheDebutContenuCaseAlbum(10+max($donneesVignette[0], $donneesVignette[1]));
    AfficheImageCliquable("./" .NOM_FICHIER ."?t=$themeAlbum&p=$numPhoto&m=d", $cheminVignette2, $titrePhoto, $donneesVignette[1], $donneesVignette[0]);
    AfficheFinContenuCaseAlbum($titrePhoto);
  }
  else
  {
    $donneesVignette = getimagesize($cheminVignettes .$nomsPhotos[0]);

    AfficheDebutContenuCaseAlbum(10+max($donneesVignette[0], $donneesVignette[1]));
    AfficheFinContenuCaseAlbum("-");
  }
}
//                                                                               //
//
function AfficheImageSelon($condition, $imageTrue, $imageFalse, $themeAlbum, $numPhotoPointee, $alt)
{
  if($condition)
  {
    $dimImage = getimagesize("./utils/$imageTrue.gif");
    AfficheImageCliquable("./" .NOM_FICHIER ."?t=$themeAlbum&p=$numPhotoPointee&m=d", "./utils/$imageTrue.gif", $alt, $dimImage[1], $dimImage[0]);
  }
  else
  {
    $dimImage = getimagesize("./utils/$imageFalse.gif");
    AfficheImage("./utils/$imageFalse.gif", $dimImage[1], $dimImage[0]);
  }
}
//                                                                               //
//
function AfficheBarreDiaporama($themeAlbum, $numPhoto, $nbPhotos)
{
  define("ESPACEMENT", 50);

  DebutLigne(25, "middle");
  DebutColonne("center", "", 1);

  echo("        <TABLE align='center' border='0' cellspacing='0' cellpadding='0'>\n        <TR height='24'>\n          <TD>\n");
  AfficheImageSelon($numPhoto>0, "begin", "begin_off", $themeAlbum, 0, "dbut");
  AfficheSeparateurTransparent(ESPACEMENT);
  AfficheImageSelon($numPhoto>0, "previous", "previous_off", $themeAlbum, $numPhoto-1, "prcdente");
  AfficheSeparateurTransparent(ESPACEMENT);
  echo("          </TD>\n          <TD align='center' valign='middle' width='60'>\n");

  printf("        %d / %d\n", 1+$numPhoto, $nbPhotos);

  echo("          </TD>\n          <TD>\n");
  AfficheSeparateurTransparent(ESPACEMENT);
  AfficheImageSelon($numPhoto+1<$nbPhotos, "next", "next_off", $themeAlbum, $numPhoto+1, "suivante");
  AfficheSeparateurTransparent(ESPACEMENT);
  AfficheImageSelon($numPhoto+1<$nbPhotos, "end", "end_off", $themeAlbum, $nbPhotos-1, "fin");
  echo("          </TD>\n        </TR>\n        </TABLE>\n");

  FinColonne();
  FinLigne();
}
//                                                                               //
//
function AfficheDiapositive($themeAlbum, $cheminPhoto, $height, $width, $titrePhoto, $widthColonne)
{
  DebutLigne(125, "middle");
  DebutColonne("center", $widthColonne, 1);
  AfficheTexte("&nbsp;<BR>");
  AfficheImageCliquable("./" .NOM_FICHIER ."?t=$themeAlbum", $cheminPhoto, "Afficher en album", $height, $width);
  AfficheTexte("<BR><B>$titrePhoto</B>");
  FinColonne();
  FinLigne();
}
//                                                                               //
// _____________________________________________________________________________ //
// fonctions de traitement des donnes                                           //
//  //
//                                                                               //
//
function ChargeListeAlbumsDispo(&$TabTitreAlbums, &$TabVignetteAlbums)
{
  if ($dir = opendir("."))
  {
    while($file = readdir($dir))
    {
      $fichierIni =  "./" .$file ."/album.ini";

      if(($file!=".") && ($file!="..") && is_file($fichierIni) && $fd=fopen($fichierIni, "r"))
      {
        $buffer = NULL;
        while (!feof($fd))
        {
          $buffer .= fgets($fd, 128) ."|";
        }
        fclose($fd);
        $parse = explode('|', $buffer);
        $TabTitreAlbums[$file]    = preg_replace('/[\x00-\x0d\x0b\x0c\x0e-\x1f\x7f-\x9f]/i', "", $parse[0]);
        $TabVignetteAlbums[$file] = preg_replace('/[\x00-\x0d\x0b\x0c\x0e-\x1f\x7f-\x9f]/i', "", $parse[1]);
      }
    }
    closedir($dir);
  }
  if(DECROISSANT)
    krsort($TabTitreAlbums);
  else
    ksort($TabTitreAlbums);
}
//                                                                               //
// *****************************************************************************
// function RecupNomsPhotos($themeAlbum, &$nomsPhotos)
// BUT : stocke dans $nomsPhotos les noms des photos contenus dans le rpertoire
//       $themeAlbum/vignettes/ classs par ordre croissant
// *****************************************************************************
function RecupNomsPhotos($themeAlbum, &$nomsPhotos)
{
  // rcupration dans $NomsPhotos de toutes les images contenues dans "vignettes", classes par ordre alphabtique
  if($dir = opendir("./" .$themeAlbum ."/vignettes"))
  {
    $i = 0;
    $nomsPhotos = NULL;
    while ($file = readdir($dir))
    {
      if (($file!=".")&&($file!="..")&&($file!="Thumbs.db"))
      {
        $nomsPhotos[$i++] = $file;
      }
    }
    sort($nomsPhotos);
    closedir($dir);
  }
}
//                                                                               //
//
function ImposeDimensionsImage($hauteurReelle, $largeurReelle, $hauteurImposee, &$height, &$width)
{
    $height = $hauteurImposee;
    $width  = $hauteurImposee * $largeurReelle / $hauteurReelle;
}
//                                                                               //
//                                                                               //
// _____________________________________________________________________________ //
// fonctions principales                                                         //
//  //
//                                                                               //
// *****************************************************************************
// function AfficheAlbum($themeAlbum)
// BUT : affiche un album dans le mode album
// *****************************************************************************
function AfficheAlbum($themeAlbum, $TabTitreAlbums, $MenuNormal)
{
  RecupNomsPhotos($themeAlbum, $nomsPhotos);    
  $nbPhotos = count($nomsPhotos);

  if($nbPhotos == 1)      $nbColonnes = 1;
  elseif($nbPhotos <= 4)  $nbColonnes = 2;
  elseif($nbPhotos <= 9)  $nbColonnes = 3;
  elseif($nbPhotos <= 12) $nbColonnes = 4;
  elseif($nbPhotos <= 20) $nbColonnes = 5;
  elseif($nbPhotos <= 24) $nbColonnes = 6;
  else                    $nbColonnes = 7;

  DebutTableauRubrique($TabTitreAlbums[$themeAlbum], 1, "tabalbum" ,$nbColonnes);
  AfficheBarrePrincipale($nbColonnes, "a", $themeAlbum, $TabTitreAlbums, $MenuNormal);

  for($i=0 ; $i<$nbPhotos/$nbColonnes ; $i++)
  {
    AfficheLigneAlbum($i, $nbColonnes, $themeAlbum, $nomsPhotos);
  }

  AfficheBarrePrincipale($nbColonnes, "a", $themeAlbum, $TabTitreAlbums, $MenuNormal);
  FinTableauRubrique();
}
//                                                                               //
// *****************************************************************************
// function AfficheDiaporama($numPhoto, $themeAlbum)
// BUT :  affiche une photo dans le mode diaporama ; $numPhoto indique la photo
//        en cours de consultation
// *****************************************************************************
function AfficheDiaporama($numPhoto, $themeAlbum, $TabTitreAlbums, $MenuNormal)
{
  RecupNomsPhotos($themeAlbum, $nomsPhotos);    
  $nbPhotos = count($nomsPhotos);
  if($numPhoto<0 || $numPhoto>=$nbPhotos) $numPhoto=0;

  $nomPhoto = $nomsPhotos[$numPhoto];
  $titrePhoto = substr($nomPhoto, SUPPR_CAR_DEB, strlen($nomPhoto)-4-SUPPR_CAR_DEB);
  $cheminPhoto = "./" .$themeAlbum ."/photos/" .$nomPhoto;
  $cheminPhoto2 = "./" .$themeAlbum ."/photos/" .rawurlencode($nomPhoto);
  $donneesPhoto = getimagesize($cheminPhoto);
  $widthColonne = max($donneesPhoto[0], $donneesPhoto[1]);

  $hauteurImposee = ($donneesPhoto[0]<$donneesPhoto[1]) ? $donneesPhoto[0] : $donneesPhoto[1];
  ImposeDimensionsImage($donneesPhoto[1], $donneesPhoto[0], $hauteurImposee, $height, $width);

  DebutTableauRubrique($TabTitreAlbums[$themeAlbum], 1, "tabalbum" ,$nbColonnes);
  AfficheBarrePrincipale(1, "d", $themeAlbum, $TabTitreAlbums, $MenuNormal);
  AfficheBarreDiaporama($themeAlbum, $numPhoto, $nbPhotos);
  AfficheDiapositive($themeAlbum, $cheminPhoto2, $height, $width, $titrePhoto, 20+$widthColonne);
  AfficheBarreDiaporama($themeAlbum, $numPhoto, $nbPhotos);
  FinTableauRubrique();
}
//                                                                               //
// *****************************************************************************
// function AfficheMenu()
// BUT : liste l'ensemble des albums disponibles (recherche pour ce faire, les
//       rpertoires contenant un fichier nomm album.ini)
// *****************************************************************************
function AfficheMenu($TitreAlbum, $TabTitreAlbums, $TabVignetteAlbums)
{
  DebutTableauRubrique($TitreAlbum, 0, "tabsommaire" ,2);
  foreach($TabTitreAlbums as $NomAlbum => $TitreAlbum)
  {
    RecupNomsPhotos($NomAlbum, $nomsPhotos);
    $CheminVignette = "./" .$NomAlbum ."/vignettes/" .$TabVignetteAlbums[$NomAlbum];
    $NomVignette = (is_file($CheminVignette)) ? $TabVignetteAlbums[$NomAlbum] : $nomsPhotos[0];
    $donneesVignette = getimagesize("./" .$NomAlbum ."/vignettes/" .$NomVignette);
    ImposeDimensionsImage($donneesVignette[1], $donneesVignette[0], 30, $height, $width);
    $nbPhotos = count($nomsPhotos);
    LigneTableauMenu($NomAlbum, $TitreAlbum, $NomVignette, $height, $width, $nbPhotos);
  }
  FinTableauRubrique();
}
//                                                                               //
// ******************************************************************************
// Auteur : Aurlien COURANT
// function ProposerUpload($imagedir)
// BUT : Affiche la requte permettant l'envoi d'un fichier dans $imagedir de
//       taille $max en passant par le fichier result.php
//       /!\ Il est obligatoire de mettre l'adresse absolue pour l'envoi
// ******************************************************************************
function ProposerUpload($imagedir, $max)
{
  $equiv = round($max / 1024);
  
  echo("    <P><FORM enctype=\"multipart/form-data\" action=\"./upload.php?rep=$imagedir\""
       . " method=\"post\"><input type=\"hidden\" name=\"MAX_FILE_SIZE\" value=\"$max\">"
       . "Envoyer une image .jpg (max. $equiv Mo) : <input name=\"newimage\" type=\"file\"> &nbsp; <input type="
       . "\"submit\" class=\"button\" value=\"Upload !\"></FORM></P>\n");
}
//                                                                               //
//                                                                               //
// _____________________________________________________________________________ //
// programme principal                                                           //
//  //
//                                                                               //
$MenuNormal = TRUE;
ChargeListeAlbumsDispo($TabTitreAlbums, $TabVignetteAlbums);
if(count($TabTitreAlbums) == 1)
{
  foreach($TabTitreAlbums as $NomAlbum => $TitreAlbum) $t = $NomAlbum;
  $MenuNormal = FALSE;
}
$TitreAlbum = ($TabTitreAlbums[$t]) ? $TabTitreAlbums[$t] : MSG_GENERIQUE;
?>
<HTML>

  <HEAD>
    <TITLE><?echo $TitreAlbum;?></TITLE>
    <META http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
    <LINK rel="SHORTCUT ICON" href="./utils/photos.ico" type="image/x-icon" />
    <STYLE type="text/css">
<?  AfficheFeuilleDeStyle(THEME);  ?>
    </STYLE>
  </HEAD>

  <BODY<? if(is_file("./utils/fond.jpg")) echo " background=\"./utils/fond.jpg\"";?>>
    <CENTER>
<?

  if($t and is_dir($t))
  {
    if($m == "d")
    {
      AfficheDiaporama($p, $t, $TabTitreAlbums, $MenuNormal);
    }
    else
    {
      AfficheAlbum($t, $TabTitreAlbums, $MenuNormal);
    }
    if(UPLOAD_PERMIS)
    {
      ProposerUpload($t, 512000);
    }
  }
  else
  {
    AfficheMenu($TitreAlbum, $TabTitreAlbums,  $TabVignetteAlbums);
  }

  AffichePiedPage();
?>
    </CENTER>
  </BODY>

</HTML>